Loading...
Searching...
No Matches
gtsam::traits< ParameterMatrix< M > > Struct Template Reference
Inheritance diagram for gtsam::traits< ParameterMatrix< M > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< ParameterMatrix< M > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< ParameterMatrix< M > >))
Public Member Functions inherited from gtsam::internal::VectorSpaceTraits< ParameterMatrix< M > >
| BOOST_CONCEPT_ASSERT ((HasVectorSpacePrereqs< ParameterMatrix< M > >))
Static Public Member Functions inherited from gtsam::Testable< ParameterMatrix< M > >
static void | Print (const ParameterMatrix< M > &m, const std::string &str="")
static bool | Equals (const ParameterMatrix< M > &m1, const ParameterMatrix< M > &m2, double tol=1e-8)
static ParameterMatrix< M > | Identity ()
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< ParameterMatrix< M >, ParameterMatrix< M >::dimension >
static TangentVector | Logmap (const ParameterMatrix< M > &m, ChartJacobian Hm=boost::none)
static ParameterMatrix< M > | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static ParameterMatrix< M > | Compose (const ParameterMatrix< M > &v1, const ParameterMatrix< M > &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static ParameterMatrix< M > | Between (const ParameterMatrix< M > &v1, const ParameterMatrix< M > &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static ParameterMatrix< M > | Inverse (const ParameterMatrix< M > &v, ChartJacobian H=boost::none)
static int | GetDimension (const ParameterMatrix< M > &)
static TangentVector | Local (const ParameterMatrix< M > &origin, const ParameterMatrix< M > &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static ParameterMatrix< M > | Retract (const ParameterMatrix< M > &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
Public Types inherited from gtsam::internal::VectorSpaceTraits< ParameterMatrix< M > >
typedef vector_space_tag | structure_category
enum |
typedef ParameterMatrix< M > | ManifoldType
typedef additive_group_tag | group_flavor
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/basis/ParameterMatrix.h